AuthRepositoryImpl

class AuthRepositoryImpl(authApi: AuthApi, sessionStorage: SessionStorage, scope: CoroutineScope, httpClients: List<HttpClient>) : AuthRepository

Constructors

Link copied to clipboard
constructor(authApi: AuthApi, sessionStorage: SessionStorage, scope: CoroutineScope, httpClients: List<HttpClient>)

Properties

Link copied to clipboard
open override val session: StateFlow<Session?>

Functions

Link copied to clipboard
open suspend override fun completeGoogleSignIn(redirectUri: String): Result<Unit>

redirectUri is the AuthConfig.GOOGLE_REDIRECT_URI-based URI (with access_token/ refresh_token query params) the auth server's Google OAuth callback redirected to.

Link copied to clipboard
open suspend override fun login(email: String, password: String): Result<Unit>
Link copied to clipboard
open override fun logout()
Link copied to clipboard
open suspend override fun register(email: String, password: String): Result<Unit>